package hage;

import haxe.ds.GenericStack;

/**
 * ...
 * @author JanGamesCo
 */
class HGEPool<T:HGEBasic> extends HGEGroup<T>
{
	public function new()
	{
		super();
	}
	
	public function getAlive():T
	{
		for (basic in members) {
			if (basic.exists) {
				return basic;
			}
		}
		
		return createChild();
	}
	
	public function getDead():T
	{
		for (basic in members) {
			if (!basic.exists) {
				return basic;
			}
		}
		
		return createChild();		
	}
	
	public function createChild():T {
		return null;
	}
	
	override public function reset():Void 
	{
		//Kill all
		for (basic in members) {
			basic.kill();
		}
	}
	
}