package levels;

import hage.HGE;
import hage.HGEBasic;
import hage.HGEVector2;
import levels.LevelBase.SpawnData;
import levels.LevelBase.SpawnPattern;
import ships.Boss01;

/**
 * ...
 * @author JanGamesCo
 */
class Level01 extends LevelBase
{

	public function new() 
	{
		super();
		
		reset();
	}
	
	override public function reset():Void 
	{
		super.reset();
		
		spawnList = [
			{vy:0, x:128, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Unit(0, 0)},
			{vy:30, x:28, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Unit(0, 0)},
			{vy:55, x:388, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Unit(0, 0)},
			{vy:70, x:200, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Unit(0, 0)},
			{vy:120, x:68, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Line(0, 0, 3, new HGEVector2(80, 0))},
			{vy:150, x:188, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Line(0, 0, 3, new HGEVector2(80, 0))},
			{vy:180, x:-8, y: -16, enemy:1, velX:40, velY:0, pattern:SpawnPattern.Line(0, 0, 2, new HGEVector2(80, 0))},
			{vy:200, x:240, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Line(0, 0, 3, new HGEVector2(0, -80))},
			{vy:240, x:488, y: -16, enemy:1, velX:-40, velY:0, pattern:SpawnPattern.Line(0, 0, 3, new HGEVector2(60, 0))},
			{vy:300, x:212, y: -76, enemy:1, velX:10, velY:0, pattern:SpawnPattern.Line(0, 0, 5, new HGEVector2(-40, 10))},
			{vy:340, x:268, y: -16, enemy:1, velX:-10, velY:0, pattern:SpawnPattern.Line(0, 0, 5, new HGEVector2(40, 10))},
			{vy:400, x:192, y: -16, enemy:1, velX:10, velY:0, pattern:SpawnPattern.Line(0, 0, 4, new HGEVector2(-40, 10))},
			{vy:400, x:248, y: -16, enemy:1, velX:-10, velY:0, pattern:SpawnPattern.Line(0, 0, 4, new HGEVector2(40, 10))},
			{vy:450, x:172, y: -16, enemy:1, velX:10, velY:0, pattern:SpawnPattern.Line(0, 0, 5, new HGEVector2(-40, 10))},
			{vy:450, x:308, y: -16, enemy:1, velX:-10, velY:0, pattern:SpawnPattern.Line(0, 0, 5, new HGEVector2(40, 10))},
			{vy:550, x:8, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Line(0, 0, 6, new HGEVector2(80, 0))},
			{vy:590, x:8, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Line(0, 0, 6, new HGEVector2(40, 0))},
			{vy:610, x:264, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Line(0, 0, 6, new HGEVector2(40, 0))},
			{vy:700, x:224, y: -16, enemy:100, velX:0, velY:0, pattern:SpawnPattern.Unit(0, 0)},
			//{vy:650, x:232, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Circle(0, 0, 8, Math.PI, Math.PI / 7, 216, 0, 0.5)},
			//{vy:590, x:8, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Rectangle(0, 0, 6, 2, new HGEVector2(40, 0), new HGEVector2(0, 40))},
			//{vy:610, x:248, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Rectangle(0, 0, 6, 2, new HGEVector2(40, 0), new HGEVector2(0, 40))},
		];
	}
	
}