package ships;

import hage.HGEPool;
import ships.Enemy01.Enemy01Type;

/**
 * ...
 * @author JanGamesCo
 */
class Boss01Pool extends HGEPool<Boss01>
{

	public function new() 
	{
		super();
	}
	
	override public function createChild():Boss01 
	{
		var enemy:Boss01 = new Boss01(0, 0);
		push(enemy);
		
		return enemy;
	}
	
	public function create(X:Float, Y:Float):Boss01
	{
		var enemy:Boss01 = getDead();
		
		enemy.reset();
		enemy.x = X;
		enemy.y = Y;
		
		return enemy;
	}
	
}