package ships;

import hage.HGEPool;

/**
 * ...
 * @author JanGamesCo
 */
class Boss02Pool extends HGEPool<Boss02>
{

	public function new() 
	{
		super();
	}
	
	override public function createChild():Boss02 
	{
		var enemy:Boss02 = new Boss02(0, 0);
		push(enemy);
		
		return enemy;
	}
	
	public function create(X:Float, Y:Float):Boss02
	{
		var enemy:Boss02 = getDead();
		
		enemy.reset();
		enemy.x = X;
		enemy.y = Y;
		
		return enemy;
	}
	
}