package ships;

import hage.HGEPool;
import ships.Enemy01.Enemy01Type;

/**
 * ...
 * @author JanGamesCo
 */
class Enemy01Pool extends HGEPool<Enemy01>
{

	public function new() 
	{
		super();
	}
	
	override public function createChild():Enemy01 
	{
		var enemy:Enemy01 = new Enemy01(0, 0, Enemy01Type.Square);
		push(enemy);
		
		return enemy;
	}
	
	public function create(X:Float, Y:Float, EType:Enemy01Type):Enemy01
	{
		var enemy:Enemy01 = getDead();
		
		enemy.type = EType;
		enemy.revive();
		enemy.detach();
		enemy.x = X;
		enemy.y = Y;
		
		return enemy;
	}
	
}