package ships;

import hage.HGEBasic;
import hage.HGEPool;

/**
 * ...
 * @author JanGamesCo
 */
class EnemyBulletsPool extends HGEPool<EnemyBullet>
{

	public function new()
	{
		super();
	}
	
	override public function createChild():EnemyBullet 
	{
		var bullet:EnemyBullet = new EnemyBullet(200, 200);
		push(bullet);
		
		return bullet;
	}
	
	public function fire(X:Float, Y:Float):EnemyBullet
	{
		var bullet:EnemyBullet = getDead();
		
		bullet.revive();
		bullet.x = X;
		bullet.y = Y;
		
		return bullet;
	}
	
}