package ships;

import hage.HGEBasic;
import hage.HGEPool;

/**
 * ...
 * @author JanGamesCo
 */
class PlayerBulletsPool extends HGEPool<PlayerBullet>
{

	public function new()
	{
		super();
	}
	
	override public function createChild():PlayerBullet 
	{
		var bullet:PlayerBullet = new PlayerBullet(200, 200);
		push(bullet);
		
		return bullet;
	}
	
	public function fire(X:Float, Y:Float)
	{
		var bullet:PlayerBullet = getDead();
		
		bullet.revive();
		bullet.x = X;
		bullet.y = Y;
	}
	
}