package hage;
import hage.HGEBasic;

/**
 * ...
 * @author JanGamesCo
 */
class HGEGroup<T:HGEBasic> extends HGEBasic
{
	public var members:Array<T>;
	
	public var alives(get, set):Int;
	public var deads(get, set):Int;

	public function new() 
	{
		super();
		
		members = new Array<T>();
		
		reset();
	}
	
	public function push(Child:T):Void 
	{
		if (Child.exists) { alives++; }
		
		members.push(Child);
		
		add(Child);
	}
	
	override public function reset():Void 
	{
		super.reset();
	}
	
	private function get_alives():Int {
		var i:Int = 0;
		for (basic in childrens) {
			if (basic.exists) { i++; }
		}
		return i;
	}
	private function set_alives(Value:Int):Int { return 0; }
	
	private function get_deads():Int { return childrens.length - alives; }
	private function set_deads(Value:Int):Int { return 0; }
	
}