package levels;

import hage.HGE;
import hage.HGEBasic;
import hage.HGEVector2;
import levels.LevelBase.SpawnData;
import levels.LevelBase.SpawnPattern;
import ships.Boss01;

/**
 * ...
 * @author JanGamesCo
 */
class Level02 extends LevelBase
{

	public function new() 
	{
		super();
		
		reset();
	}
	
	override public function reset():Void 
	{
		super.reset();
		
		spawnList = [			
			{vy:80, x:240, y: -26, enemy:2, velX:0, velY:0, pattern:SpawnPattern.Unit(0, 0)},
			{vy:105, x:180, y: -26, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Unit(0, 0)},
			{vy:130, x:120, y: -26, enemy:2, velX:0, velY:0, pattern:SpawnPattern.Unit(0, 0)},
			{vy:155, x:300, y: -26, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Unit(0, 0)},
			{vy:180, x:360, y: -26, enemy:2, velX:0, velY:0, pattern:SpawnPattern.Unit(0, 0)},
			{vy:220, x:120, y: -18, enemy:2, velX:0, velY:0, pattern:SpawnPattern.Line(0, 0, 3, new HGEVector2(80, 0))},
			{vy:220, x:152, y: -26, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Line(0, 0, 3, new HGEVector2(80, 0)) },
			{vy:280, x:288, y: -26, enemy:2, velX:-10, velY:0, pattern:SpawnPattern.Line(0, 0, 3, new HGEVector2(40, 20)) },
			{vy:300, x:192, y: -26, enemy:2, velX:10, velY:0, pattern:SpawnPattern.Line(0, 0, 3, new HGEVector2(-40, 20)) },
			{vy:310, x:0, y: -26, enemy:1, velX:10, velY:0, pattern:SpawnPattern.Line(0, 0, 6, new HGEVector2(80, 0)) },
			{vy:350, x:120, y: -26, enemy:10, velX:0, velY:20, pattern:SpawnPattern.Unit(0, 0) },
			{vy:380, x:360, y: -26, enemy:10, velX:0, velY:20, pattern:SpawnPattern.Unit(0, 0) },
			{vy:420, x:0, y: -26, enemy:2, velX:10, velY:0, pattern:SpawnPattern.Line(0, 0, 4, new HGEVector2(120, 0)) },
			{vy:440, x:0, y: -26, enemy:1, velX:10, velY:0, pattern:SpawnPattern.Line(0, 0, 4, new HGEVector2(120, 0)) },
			{vy:560, x:8, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Rectangle(0, 0, 6, 2, new HGEVector2(80, 0), new HGEVector2(0, -80))},
			{vy:600, x:68, y: -16, enemy:2, velX:0, velY:0, pattern:SpawnPattern.Rectangle(0, 0, 2, 6, new HGEVector2(360, 0), new HGEVector2(0, -40))},
			{vy:620, x:100, y: -16, enemy:1, velX:0, velY:0, pattern:SpawnPattern.Line(0, 0, 6, new HGEVector2(60, 0))},
			{vy:680, x:232, y: -26, enemy:2, velX:0, velY:0, pattern:SpawnPattern.Circle(0, 0, 6, Math.PI, Math.PI / 5, 226, 0, 0.5)},
			{vy:740, x:218, y: -26, enemy:101, velX:0, velY:0, pattern:SpawnPattern.Unit(0, 0)},
		];
	}
	
}