package ships;

import hage.HGEPool;

/**
 * ...
 * @author JanGamesCo
 */
class Boss03Pool extends HGEPool<Boss03>
{

	public function new() 
	{
		super();
	}
	
	override public function createChild():Boss03 
	{
		var enemy:Boss03 = new Boss03(0, 0);
		push(enemy);
		
		return enemy;
	}
	
	public function create(X:Float, Y:Float):Boss03
	{
		var enemy:Boss03 = getDead();
		
		enemy.reset();
		enemy.x = X;
		enemy.y = Y;
		
		return enemy;
	}
	
}