package ships;

import hage.HGE;
import hage.HGEObject;
import kha.Color;

/**
 * ...
 * @author JanGamesCo
 */
class EnemyBullet extends HGEObject
{
	public var damage:Int = 2;
	
	public var borderFlickerTimer:Float;
	public var borderFlickerRate:Float;
	
	public function new(X:Float=0, Y:Float=0) 
	{
		super(X, Y, 8, 8, 0xFFFF0000, 1);
		
		borderFlickerTimer = 0;
		borderFlickerRate = 0.2;
		
		velocity.set(0, Data.the.playerSpeed + 100);
	}
	
	override public function update():Void 
	{
		super.update();
		
		borderFlickerTimer -= HGE.delta;
		if (borderFlickerTimer < 0) {
			if (color == Color.Red) {
				color = Color.fromValue(0xFFFF2020);
			} else {
				color = Color.Red;
			}
			borderFlickerTimer = borderFlickerRate;
		}
	}
	
	override public function revive():Void 
	{
		super.revive();
		
		damage = 2;
		velocity.set(0, Data.the.playerSpeed + 100);
	}
	
}