package ships;

import hage.HGEPool;
import ships.Enemy01.Enemy01Type;

/**
 * ...
 * @author JanGamesCo
 */
class JointPool extends HGEPool<Joint>
{

	public function new() 
	{
		super();
	}
	
	override public function createChild():Joint 
	{
		var enemy:Joint = new Joint(0, 0);
		push(enemy);
		
		return enemy;
	}
	
	public function create(X:Float, Y:Float, Width:Float, Height:Float, Health:Float):Joint
	{
		var joint:Joint = getDead();
		
		joint.revive();
		joint.detach();
		joint.x = X;
		joint.y = Y;
		joint.width = Width;
		joint.height = Height;
		joint.health = Health;
		
		return joint;
	}
	
}