package ships;

import hage.HGEPool;

/**
 * ...
 * @author JanGamesCo
 */
class PlayerPool extends HGEPool<Player>
{

	public function new() 
	{
		super();
	}
	
	override public function createChild():Player 
	{
		var player:Player = new Player(0, 0);
		push(player);
		
		return player;
	}
	
	public function create(X:Float, Y:Float):Player
	{
		var player:Player = getDead();
		
		player.revive();
		player.detach();
		player.x = X;
		player.y = Y;
		
		return player;
	}
	
}